#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.4
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kget
Summary:	kget
Name:		ka5-%{kaname}
Version:	23.08.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	9d0db878c7ad3835a738e10012f9d61d
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5PrintSupport-devel
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	boost-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	gpgme-c++-devel >= 1.7.0
BuildRequires:	gpgme-qt5-devel
BuildRequires:	ka5-dolphin-devel >= %{kdeappsver}
BuildRequires:	ka5-libktorrent-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kcompletion-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kitemviews-devel >= %{kframever}
BuildRequires:	kf5-knotifications-devel >= %{kframever}
BuildRequires:	kf5-knotifyconfig-devel >= %{kframever}
BuildRequires:	kf5-kparts-devel >= %{kframever}
BuildRequires:	kf5-kservice-devel >= %{kframever}
BuildRequires:	kf5-ktextwidgets-devel >= %{kframever}
BuildRequires:	kf5-kwallet-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf5-kwindowsystem-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	kf5-solid-devel >= %{kframever}
BuildRequires:	libmms-devel
BuildRequires:	ninja
BuildRequires:	qca-qt5-devel >= 2.1.0
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KGet is a versatile and user-friendly download manager.. Features.
Downloading files from FTP and HTTP(S) sources. Pausing and resuming
of downloading files, as well as the ability to restart a download.

%description -l pl.UTF-8
KGet jest wszechstronnym i łatwym w użyciu menadżerem pobierania.
Cechy: pobiera plików przez FTP i HTTP(S). Wstrzymywanie i wznawianie
pobierania plików, a także możliwość zrestartowania downloadu.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/sr
%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kget
%{_libdir}/libkgetcore.so
%ghost %{_libdir}/libkgetcore.so.5
%attr(755,root,root) %{_libdir}/libkgetcore.so.*.*.*
%dir %{_libdir}/qt5/plugins/kget
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_bittorrent.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_checksumsearchfactory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_kio.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_metalinkfactory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_mirrorsearchfactory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_mmsfactory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kget/kget_multisegkiofactory.so
%{_desktopdir}/org.kde.kget.desktop
%{_datadir}/config.kcfg/kget.kcfg
%{_datadir}/config.kcfg/kget_checksumsearchfactory.kcfg
%{_datadir}/config.kcfg/kget_mirrorsearchfactory.kcfg
%{_datadir}/config.kcfg/kget_mmsfactory.kcfg
%{_datadir}/config.kcfg/kget_multisegkiofactory.kcfg
%{_datadir}/dbus-1/services/org.kde.kget.service
%{_iconsdir}/hicolor/128x128/apps/kget.png
%{_iconsdir}/hicolor/16x16/apps/kget.png
%{_iconsdir}/hicolor/22x22/apps/kget.png
%{_iconsdir}/hicolor/32x32/apps/kget.png
%{_iconsdir}/hicolor/48x48/apps/kget.png
%{_iconsdir}/hicolor/64x64/apps/kget.png
%{_datadir}/kget
%{_datadir}/knotifications5/kget.notifyrc
%{_datadir}/kservicetypes5/kget_plugin.desktop
%{_datadir}/kxmlgui5/kget
%{_datadir}/metainfo/org.kde.kget.appdata.xml
%{_datadir}/qlogging-categories5/kget.categories
%{_datadir}/kio/servicemenus/kget_download.desktop
%dir %{_libdir}/qt5/plugins/kget_kcms
%{_libdir}/qt5/plugins/kget_kcms/kcm_kget_bittorrentfactory.so
%{_libdir}/qt5/plugins/kget_kcms/kcm_kget_checksumsearchfactory.so
%{_libdir}/qt5/plugins/kget_kcms/kcm_kget_metalinkfactory.so
%{_libdir}/qt5/plugins/kget_kcms/kcm_kget_mirrorsearchfactory.so
%{_libdir}/qt5/plugins/kget_kcms/kcm_kget_mmsfactory.so
%{_libdir}/qt5/plugins/kget_kcms/kcm_kget_multisegkiofactory.so
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kget.git;a=log;h=master

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e80c754
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1ec48d8
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ed42737
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2fbf55c
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 818e897
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4e009dd
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 13b1578
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cd86e0d
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ed4fca2
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 46d9205
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 17c137e
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5077304
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1fc237b
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bca91e1
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 21d9a75
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0b4e2e2
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 50331fb
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 49d5a99
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 64dfd41
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 71ecd95
- updated to 22.08.1

